package com.njcn.csharmonic.service;


import com.njcn.csharmonic.param.CommonStatisticalQueryParam;
import com.njcn.csharmonic.param.FrequencyStatisticalQueryParam;
import com.njcn.csharmonic.param.ThdDataQueryParm;
import com.njcn.csharmonic.pojo.vo.ThdDataVO;

import java.util.List;

/**
 * Description:
 * Date: 2023/5/18  14:39【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface StableDataService {
    List<ThdDataVO> queryThdData(String devId, String statisticalName);
    /** 
    * @Description: 查询时间段内谐波畸变率 
    * @Param:  
    * @return: java.util.List<com.njcn.algorithm.pojo.vo.ThdDataVO> 
    * @Author: clam
    * @Date: 2023/5/23 
    */ 
    List<ThdDataVO> queryThdDataByTime(ThdDataQueryParm thdDataQueryParm);

    List<ThdDataVO> queryFisrtThdContent(String devId, String statisticalName);

    List<ThdDataVO> queryThdContentByTime(ThdDataQueryParm thdDataQueryParm);

    List<ThdDataVO> queryFisrtCommonStatistical(CommonStatisticalQueryParam commonStatisticalQueryParam);

    List<ThdDataVO> queryCommonStatisticalByTime(CommonStatisticalQueryParam commonStatisticalQueryParam);

//    List<ThdDataVO> queryLineCommonStatistical(CommonStatisticalQueryParam commonStatisticalQueryParam);

    public List<ThdDataVO> QuerySqlData(FrequencyStatisticalQueryParam frequencyStatisticalQueryParam);
}
